function idx  = findpeak (data, dist, height)
%     debug
%     data = SVDat(41250:42250);
%     dist =100;
%     height = 0.2;
    
    
    data = data/max(data);
    % Rough stimates of first and second derivative
    df1 = diff (data,1);
    df1 = df1([1; (1:end)']);
    df2 = diff (data,2);
    df2 = df2([1; 1; (1:end)']);

    % check for changes of sign of 1st derivative and negativity of 2nd
    % derivative.
    idx = find (df1.*circshift(df1,3)<0);% & df2<=0);

    % Get peaks that are beyond given height
    tf  = data(idx) > height;
    idx = idx(tf);

    % Treat peaks separated less than minD as one
    D = diff (idx);
    k = 0;
    if any(D(:) < dist)
        i = 0;
        k = 0;
        while(i < length(D)-k)
            i = i+1;
            if (idx(i+1)-idx(i) < dist)
                k=k+1;
                if data(idx(i)) < data(idx(i+1))
                    idx(i:end-1) = idx(i+1:end);
                    i=i-1;
                else
                    idx(i+1:end-1) = idx(i+2:end);
                    i=i-1;
                end    
            end
        end
    end
    idx = idx(1:end-k);
    idx = idx(idx>1);
end
